Subject: Re: [mpls] MPLS-RT Review of draft-gandhi-mpls-ioam-sr-04

From: Rakesh Gandhi <[email-masked]>
Date: Thu, 18 Feb 2021 18:46:47 -0500

Hi Stewart,
FYI:
I believe the latest revision (06) addresses this comment.
https://datatracker.ietf.org/doc/html/draft-gandhi-mpls-ioam-sr-06

Thanks for your review.
Regards,
Rakesh

On Mon, Jan 18, 2021 at 4:52 PM Rakesh Gandhi (rgandhi) <rgandhi=
[email-masked]> wrote:

> Hi Stewart,
>
>
>
> Thanks for the suggestion. Agree with making this generic to MPLS and not
> specific to SR-MPLS.
>
>
>
> Thanks,
>
> Rakesh
>
>
>
>
>
> *From: *Stewart Bryant <[email-masked]>
> *Date: *Monday, January 18, 2021 at 10:39 AM
> *To: *Mach Chen <[email-masked]>
> *Cc: *Stewart Bryant <[email-masked]>, Eric Gray <
> [email-masked]>, loa Andersson <[email-masked]>, Greg Mirsky <
> [email-masked]>, mpls <[email-masked]>, Rakesh Gandhi (rgandhi)
> <rgandhi=[email-masked]>, mpls-chairs <[email-masked]>,
> [email-masked] <[email-masked]>
> *Subject: *Re: [mpls] MPLS-RT Review of draft-gandhi-mpls-ioam-sr-04
>
> Hi Mach
>
> It is as much a question for the WG given that this is up for adoption.
>
> In all other aspects MPLS-SR inherits everything from MPLS so why would it
> not do so here?
>
> Also given that we want iOAM for SR why would we not want it for MPLS and
> associated technologies such as PW and VPN as well?
>
> So my view is not to make a special case for SR and then have the
> complexity of introducing it to base MPLS, but instead solve this for MPLS
> and use it everywhere.
>
> Is there something special about the SR case that I am missing here?
>
> - Stewart
>
>
>
> > On 12 Jan 2021, at 03:18, Mach Chen <[email-masked]> wrote:
> >
> > Hi Stewart,
> >
> > I guess your questions are for the authors of the draft, I will let the
> authors to answer the questions :-)
> >
> > Best regards,
> > Mach
> >
> >> -----Original Message-----
> >> From: Stewart Bryant [mailto:[email-masked]
> <[email-masked]>]
> >> Sent: Tuesday, January 12, 2021 3:29 AM
> >> To: Mach Chen <[email-masked]>
> >> Cc: Eric Gray <[email-masked]>; Loa Andersson <[email-masked]>; Greg
> >> Mirsky <[email-masked]>; mpls <[email-masked]>; Rakesh Gandhi
> >> (rgandhi) <rgandhi=[email-masked]>; mpls-chairs
> >> <[email-masked]>; [email-masked]
> >> Subject: Re: [mpls] MPLS-RT Review of draft-gandhi-mpls-ioam-sr-04
> >>
> >> I have a slightly more fundamental question.
> >>
> >> Why are we specifying this for sr?
> >>
> >> Surely we should specify it for MPLS  and have SR inherit that?
> >>
> >> Also what happens if the MPLS payload is a PW or Detnet or something
> else
> >> defined to be immediately below the bottom label?
> >>
> >> Stewart
> _______________________________________________
> mpls mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/mpls
>